.TH wxCheckBox 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxCheckBox \- See external documentation: wxCheckBox\&.
.SH DESCRIPTION
.LP
See external documentation: wxCheckBox <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxCheckBox()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxCheckBox()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html#wxcheckboxwxcheckbox>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string()) -> wxCheckBox()
.br
.RS
.LP
Equivalent to new(Parent, Id, Label, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string(), Options::[Option]) -> wxCheckBox()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html#wxcheckboxwxcheckbox>\&.
.RE
.LP
.B
create(This::wxCheckBox(), Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Label, [])\&.
.RE
.LP
.B
create(This::wxCheckBox(), Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html#wxcheckboxcreate>\&.
.RE
.LP
.B
getValue(This::wxCheckBox()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html#wxcheckboxgetvalue>\&.
.RE
.LP
.B
get3StateValue(This::wxCheckBox()) -> WxCheckBoxState
.br
.RS
.TP
Types
WxCheckBoxState = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html#wxcheckboxget3statevalue>\&. 
.br
 WxCheckBoxState is one of ?wxCHK_UNCHECKED | ?wxCHK_CHECKED | ?wxCHK_UNDETERMINED
.RE
.LP
.B
is3rdStateAllowedForUser(This::wxCheckBox()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html#wxcheckboxis3rdstateallowedforuser>\&.
.RE
.LP
.B
is3State(This::wxCheckBox()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html#wxcheckboxis3state>\&.
.RE
.LP
.B
isChecked(This::wxCheckBox()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html#wxcheckboxischecked>\&.
.RE
.LP
.B
setValue(This::wxCheckBox(), State::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html#wxcheckboxsetvalue>\&.
.RE
.LP
.B
set3StateValue(This::wxCheckBox(), State::WxCheckBoxState) -> ok
.br
.RS
.TP
Types
WxCheckBoxState = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcheckbox\&.html#wxcheckboxset3statevalue>\&. 
.br
 WxCheckBoxState is one of ?wxCHK_UNCHECKED | ?wxCHK_CHECKED | ?wxCHK_UNDETERMINED
.RE
.LP
.B
destroy(This::wxCheckBox()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
